%kmdl qla2xxx

Summary: Drivers for the QLogic Fibre Channel Host Bus Adapters (HBAs)
Name: qla2xxx
Version: 8.02.10
Release: 18%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://www.qlogic.com/products/fc_san_hostadapers.asp
Source0: ftp://ftp.qlogic.com/outgoing/linux/beta/8.x/%{name}-src-v%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
Drivers for the QLogic Fibre Channel Host Bus Adapters (HBAs).

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q
grep -rl '#include <linux/config.h>' . | xargs perl -pi -e's,#include <linux/config.h>,/* #include <linux/config.h> */,'
cat Kconfig | perl -p -e's,(config .*)\n,$1,' \
  | grep ^config | sed -e's,\t, ,' \
  | sed -e's,config \(.*\) tristate.*,CONFIG_\1=m,' -e's,config \(.*\) bool.*,CONFIG_\1=y,' \
  > dot-config
mkdir linux
cp -a %{kmdl_kernelsrcdir}/include/linux/autoconf.h linux/autoconf.h
grep CONFIG.*=y dot-config | sed -e's,^\(.*\)=y,#define \1 1,' | tr '\n' ' ' >> linux/autoconf.h
mkdir extras/im
echo "obj-m += intermodule.o" > extras/im/Makefile
cp -a extras/intermodule.c extras/im/

%build
%kmdl_config
%if %{kmdl_userland}

make extras/qla_nvr extras/qla_opts

%else

make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` \
  MAKEFILES=dot-config \
  modules
if [ "`echo %{_kernel} | sed "s/-.*//" | sed "s/\.//g"`" -ge 2612 ]; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/extras/im
fi

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

mkdir -p %{buildroot}%{_sbindir}
cp -a extras/qla_dmp.sh extras/qla_nvr extras/qla_opts %{buildroot}%{_sbindir}/

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/scsi/qla2xxx
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` \
  MAKEFILES=dot-config \
  INSTALL_MOD_PATH=%{buildroot} \
  INSTALL_MOD_DIR=updates/drivers/scsi/qla2xxx \
  modules_install
if [ "`echo %{_kernel} | sed "s/-.*//" | sed "s/\.//g"`" -ge 2612 ]; then
  install -p -m 0644 extras/im/intermodule.ko %{buildroot}%{kmdl_moduledir}/drivers/scsi/qla2xxx/
fi

if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/scsi/qla2xxx/
fi


%endif

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%clean
rm -rf %{buildroot}

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc revision.notes
%{_sbindir}/qla_dmp.sh
%{_sbindir}/qla_nvr
%{_sbindir}/qla_opts

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/drivers
%dir %{kmdl_moduledir}/drivers/scsi
%{kmdl_moduledir}/drivers/scsi/qla2xxx

%endif

%changelog
* Sat Mar 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.02.10-18
- Update to 8.02.10.

* Thu Jan 31 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.02.07-17
- Update to 8.02.07.

* Sun Feb 18 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.01.07-15
- Update to 8.01.07 final.

* Tue Jan  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.01.07-14_b8
- Update to 8.01.07b8.

* Tue Oct  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.01.06-13
- Update to 8.01.06.

* Wed Aug  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.01.05-12
- Minor spec file cosmetics.

* Sat Jul  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.05.

* Tue Mar 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.04.
- Remove inline patch (is in upstream now).

* Sun Feb  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.03.

* Sat Oct  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.02.

* Tue Aug 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.00 final.

* Thu May 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.00b4.

* Wed May 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.01.00b2.

* Sat Jan 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.00.02b9.

* Fri Nov 12 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

